> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Fax Applications

> This endpoint returns a list of your Fax Applications inside the 'data' attribute of the response. You can adjust which applications are listed by using filters. Fax Applications are used to configure how you send and receive faxes using the Programmable Fax API with Telnyx.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/fax.yml get /fax_applications
openapi: 3.1.0
info:
  title: Telnyx Fax API
  version: 2.0.0
  description: API for Fax.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /fax_applications:
    get:
      tags:
        - Programmable Fax Applications
      summary: List all Fax Applications
      description: >-
        This endpoint returns a list of your Fax Applications inside the 'data'
        attribute of the response. You can adjust which applications are listed
        by using filters. Fax Applications are used to configure how you send
        and receive faxes using the Programmable Fax API with Telnyx.
      operationId: ListFaxApplications
      parameters:
        - $ref: '#/components/parameters/PageConsolidated'
        - $ref: '#/components/parameters/programmable-fax_FilterConsolidated'
        - $ref: '#/components/parameters/programmable-fax_SortApplication'
      responses:
        '200':
          $ref: '#/components/responses/GetAllFaxApplicationsResponse'
        '400':
          $ref: '#/components/responses/programmable-fax_BadRequestResponse'
        '401':
          $ref: '#/components/responses/UnauthenticatedResponse'
        '403':
          $ref: '#/components/responses/programmable-fax_UnauthorizedResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const faxApplication of client.faxApplications.list()) {
              console.log(faxApplication.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fax_applications.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.FaxApplications.List(context.TODO(), telnyx.FaxApplicationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.faxapplications.FaxApplicationListPage;

            import
            com.telnyx.sdk.models.faxapplications.FaxApplicationListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    FaxApplicationListPage page = client.faxApplications().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.fax_applications.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx fax-applications list \
              --api-key 'My API Key'
components:
  parameters:
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
    programmable-fax_FilterConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated filter parameter (deepObject style). Originally:
        filter[application_name][contains], filter[outbound_voice_profile_id]
      schema:
        type: object
        properties:
          application_name:
            type: object
            properties:
              contains:
                type: string
                example: fax-app
                description: >-
                  If present, applications with <code>application_name</code>
                  containing the given value will be returned. Matching is not
                  case-sensitive. Requires at least three characters.
            description: Application name filtering operations
          outbound_voice_profile_id:
            type: string
            example: '1293384261075731499'
            description: Identifies the associated outbound voice profile.
    programmable-fax_SortApplication:
      name: sort
      in: query
      description: >-
        Specifies the sort order for results. By default sorting direction is
        ascending. To have the results sorted in descending order add the <code>
        -</code> prefix.<br/><br/>

        That is: <ul>
          <li>
            <code>application_name</code>: sorts the result by the
            <code>application_name</code> field in ascending order.
          </li>

          <li>
            <code>-application_name</code>: sorts the result by the
            <code>application_name</code> field in descending order.
          </li>
        </ul> <br/> If not given, results are sorted by <code>created_at</code>
        in descending order.
      schema:
        type: string
        enum:
          - created_at
          - application_name
          - active
        example: application_name
        default: created_at
  responses:
    GetAllFaxApplicationsResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: Get All Fax Applications Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/FaxApplication'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    programmable-fax_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missingParameter:
              value:
                errors:
                  - code: '10015'
                    title: Bad Request
                    detail: The request failed because it was not well-formed.
                    source:
                      pointer: /
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10015
    UnauthenticatedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    programmable-fax_UnauthorizedResponse:
      description: Unauthorized
  schemas:
    FaxApplication:
      type: object
      title: Fax Application
      properties:
        id:
          $ref: '#/components/schemas/IntId'
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: fax_application
        application_name:
          $ref: '#/components/schemas/ApplicationName'
        active:
          $ref: '#/components/schemas/ConnectionActive'
        anchorsite_override:
          $ref: '#/components/schemas/AnchorsiteOverride'
        webhook_event_url:
          $ref: '#/components/schemas/WebhookEventUrl'
        webhook_event_failover_url:
          $ref: '#/components/schemas/WebhookEventFailoverUrl'
        webhook_timeout_secs:
          $ref: '#/components/schemas/WebhookTimeoutSecs'
        tags:
          type: array
          items:
            type: string
          description: Tags associated with the Fax Application.
          example:
            - tag1
            - tag2
          default: []
        inbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the number of concurrent inbound calls
                to phone numbers associated with this connection.
              default: null
              example: 10
            sip_subdomain:
              type: string
              description: >-
                Specifies a subdomain that can be used to receive Inbound calls
                to a Connection, in the same way a phone number is used, from a
                SIP endpoint. Example: the subdomain "example.sip.telnyx.com"
                can be called from any SIP endpoint by using the SIP URI
                "sip:@example.sip.telnyx.com" where the user part can be any
                alphanumeric value. Please note TLS encrypted calls are not
                allowed for subdomain calls.
              default: null
              example: example
            sip_subdomain_receive_settings:
              type: string
              description: >-
                This option can be enabled to receive calls from: "Anyone" (any
                SIP endpoint in the public Internet) or "Only my connections"
                (any connection assigned to the same Telnyx user).
              enum:
                - only_my_connections
                - from_anyone
              default: from_anyone
              example: only_my_connections
        outbound:
          type: object
          properties:
            channel_limit:
              type: integer
              description: >-
                When set, this will limit the number of concurrent outbound
                calls to phone numbers associated with this connection.
              default: null
              example: 10
            outbound_voice_profile_id:
              $ref: '#/components/schemas/OutboundVoiceProfileId'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2018-02-02T22:25:27.521Z'
      example:
        id: '1293384261075731499'
        record_type: fax_application
        application_name: fax-router
        active: false
        anchorsite_override: Amsterdam, Netherlands
        webhook_event_url: https://example.com
        webhook_event_failover_url: https://failover.example.com
        webhook_timeout_secs: 25
        inbound:
          channel_limit: 10
          sip_subdomain: example
          sip_subdomain_receive_settings: only_my_connections
        outbound:
          channel_limit: 10
          outbound_voice_profile_id: '1293384261075731499'
        created_at: '2018-02-02T22:25:27.521Z'
        updated_at: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              detail:
                type: string
              meta:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
              title:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
    IntId:
      title: Int ID
      type: string
      description: Uniquely identifies the resource.
      example: '1293384261075731499'
    ApplicationName:
      title: Application Name
      type: string
      description: A user-assigned name to help manage the application.
      example: call-router
    ConnectionActive:
      title: Connection Active
      type: boolean
      description: Specifies whether the connection can be used.
      default: true
      example: false
    AnchorsiteOverride:
      title: Anchorsite Override
      type: string
      description: >-
        `Latency` directs Telnyx to route media through the site with the lowest
        round-trip time to the user's connection. Telnyx calculates this time
        using ICMP ping messages. This can be disabled by specifying a site to
        handle all media.
      enum:
        - Latency
        - Chicago, IL
        - Ashburn, VA
        - San Jose, CA
        - Sydney, Australia
        - Amsterdam, Netherlands
        - London, UK
        - Toronto, Canada
        - Vancouver, Canada
        - Frankfurt, Germany
      default: Latency
      example: Amsterdam, Netherlands
    WebhookEventUrl:
      title: Webhook Event URL
      description: >-
        The URL where webhooks related to this connection will be sent. Must
        include a scheme, such as 'https'.
      type: string
      format: uri
      example: https://example.com
    WebhookEventFailoverUrl:
      title: Webhook Event Failover URL
      description: >-
        The failover URL where webhooks related to this connection will be sent
        if sending to the primary URL fails. Must include a scheme, such as
        'https'.
      type:
        - string
        - 'null'
      format: uri
      default: ''
      example: https://failover.example.com
    WebhookTimeoutSecs:
      title: Webhook Timeout Secs
      type:
        - integer
        - 'null'
      description: Specifies how many seconds to wait before timing out a webhook.
      minimum: 0
      maximum: 30
      default: null
      example: 25
    OutboundVoiceProfileId:
      title: Outbound Voice Profile ID
      type: string
      description: Identifies the associated outbound voice profile.
      example: '1293384261075731499'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````